gtksourceview2.StyleSchemeManager
Prev |  |

## gtksourceview2.StyleSchemeManager

gtksourceview2.StyleSchemeManager — Scheme Manager object for gtksourceview2.View

## Synopsis

    class gtksourceview2.StyleSchemeManager(gobject.GObject):
        gtksourceview2.StyleSchemeManager()
        def append_search_path(path)
        def force_rescan()
        def get_scheme()
        def get_scheme_ids()
        def get_search_path()
        def prepend_search_path(path)
        def set_search_path(path)

    Functions

        def gtksourceview2.style_scheme_manager_get_default()

## Ancestry

    +-- gobject.GObject
        +-- gtksourceview2.StyleSchemeManager

## Properties

"scheme-ids" | Read | List of the ids of the available schemes.
"search-path" | Read-Write | List of of directories and files where the style schemes are located.

## Description

Interface to manage available and custom style schemes.

## Constructor

        gtksourceview2.StyleSchemeManager()

Returns : | a new `gtksourceview2.StyleSchemeManager`.

Creates a new `gtksourceview2.StyleSchemeManager` object.

## Methods

### gtksourceview2.StyleSchemeManager.append_search_path

        def append_search_path(path)

path : | a directory or a filename.

The `append_search_path`() method appends path to the list of directories where the manager looks for style scheme files. See `gtksourceview2.StyleSchemeManager.set_search_path`() for details.

### gtksourceview2.StyleSchemeManager.force_rescan

        def force_rescan()

The `force_rescan`() method mark any currently cached information about the available style scehems as invalid. All the available style schemes will be reloaded next time the manager is accessed.

### gtksourceview2.StyleSchemeManager.get_scheme

        def get_scheme(scheme_id)

scheme_id : | style scheme id to find.
Returns : | a `gtksourceview2.StyleScheme` object.

The `get_scheme`() method looks up style scheme by id.

### gtksourceview2.StyleSchemeManager.get_scheme_ids

        def get_scheme_ids()

Returns : | a list of strings containing the ids of the available style schemes or `None` if no style scheme is available.

The `get_scheme_ids`() method returns the ids of the available style schemes.

### gtksourceview2.StyleSchemeManager.get_search_path

        def get_search_path()

Returns : | a list of string containing the search path.

The `get_search_path`() method gets the Returns the current search path for the manager, See `gtksourceview2.StyleSchemeManager.set_search_path`() for details.

### gtksourceview2.StyleSchemeManager.prepend_search_path

        def prepend_search_path(path)

path : | a directory or a filename.

The `prepend_search_path`() method prepends path to the list of directories where the manager looks for style scheme files. See `gtksourceview2.StyleSchemeManager.set_search_path`() for details.

### gtksourceview2.StyleSchemeManager.set_search_path

        def set_search_path(dirs)

dirs : | a list of dirs (as string).

The `set_search_path`() method sets the list of directories where the manager looks for style scheme files. If dirs is `None`, the search path is reset to default.

## Functions

### gtksourceview2.language_manager_get_default

        def gtksourceview2.language_manager_get_default()

Returns : | a `gtksourceview2.StyleSchemeManager`.

The `language_manager_get_default`() function Returns the default `gtksourceview2.StyleSchemeManager` instance.

Prev |  |
gtksourceview2.StyleScheme | Home |